%define version 4.4.0
%define rversion 0.9.11

%define realname Imagick
%define modname imagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c

Summary:	Provides a wrapper to the Image Magick Library for PHP4
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 2
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/imagick
Source0:	%{modname}-%{rversion}.tar.bz2
BuildRequires:  php4-devel
BuildRequires:	XFree86-devel
BuildRequires:	freetype-devel
BuildRequires:	freetype2-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	bzip2-devel
BuildRequires:	libjbig-devel
BuildRequires:	lcms-devel
BuildRequires:	zlib-devel >= 1.1.4
BuildRequires:	chrpath
Requires:	ImageMagick
Requires:	XFree86-libs
Requires:	freetype
Requires:	freetype2
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%{name} is a native php-extension. See the examples in the 
%{_docdir}/%{name}-%{rversion}/examples directory
for some hints on how to use it. 

%prep

%setup -q -n imagick-%{rversion}

%build

php4ize
%configure2_5x \
    --with-imagick

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc examples CREDITS INSTALL README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.9.11-2mdk
- rebuilt against new Magick libs

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.9.11-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.9.11-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.9.11-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.11-1mdk
- rebuild for php 4.3.10

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.9.11-2mdk
- nuke redundant provides

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.9.11-1mdk
- rebuild for php 4.3.9

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.9.11-2mdk
- rebuilt against new imagick libs

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.9.11-1mdk
- 0.9.11
- built for php 4.3.8

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.9.9-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.9.9-1mdk
- 0.9.9
- fix url
- built for php 4.3.6

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.8-1mdk
- 0.9.8

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.7-1mdk
- built for php 4.3.4

* Mon Sep 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.9.7-3mdk
- revert the "fix some Requires/BuildRequires on libs"
- fix explicit-lib-dependency
- fix buildrequires

* Mon Sep 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.3.3_0.9.7-2mdk
- use chrpath
- fix some Requires/BuildRequires on libs

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.9.7-1mdk
- built for php 4.3.3
- misc spec file fixes

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.7-2mdk
- fix #4870

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.7-1mdk
- 0.9.7

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.6-1mdk
- 0.9.6
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_0.9.4-1mdk
- fix the php versioning
- rebuild against new libMagick5.5.4

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-2mdk
- what's ibMagick5.5.4 ? ;)

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-1mdk
- 0.9.4
- rebuilt against libMagick5.5.4
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-1mdk
- built against php-4.3.0
- 0.9.3
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Tue Dec 03 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0.1-1mdk
- initial cooker contrib
